# Interface: ProjectGraphDependency

A dependency between two projects

## Table of contents

### Properties

- [source](../../devkit/documents/ProjectGraphDependency#source): string
- [target](../../devkit/documents/ProjectGraphDependency#target): string
- [type](../../devkit/documents/ProjectGraphDependency#type): string

## Properties

### source

• **source**: `string`

The project importing the other

---

### target

• **target**: `string`

The project being imported by the other

---

### type

• **type**: `string`
